Sign in Start for free

Features Configuration

Get features configuration

GET /api/featuresconfiguration

Gets the features configuration of the current instance

Response

200 — The requested features configuration

  • DefaultPowerShellEdition string
  • HelpSidebarSupportLink string
  • HelpSidebarSupportLinkLabel string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsAutomaticStepUpdatesEnabled boolean
  • IsBuiltInWorkerEnabled boolean
  • IsCommunityActionTemplatesEnabled boolean
  • IsCompositeDockerHubRegistryFeedEnabled boolean
  • IsConfigureFeedsWithLocalOrSmbPathsEnabled boolean
  • IsExperimentalUIFeatureEnabled boolean
  • IsGitHubAppEnabled boolean
  • IsHelpSidebarEnabled boolean
  • IsKubernetesCloudTargetDiscoveryEnabled boolean
  • IsProjectsPageOnboardingEnabled boolean
  • IsProjectsPageOptimizationEnabled boolean
  • IsWebhookTriggerEnabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "DefaultPowerShellEdition": "string",
  "HelpSidebarSupportLink": "string",
  "HelpSidebarSupportLinkLabel": "string",
  "Id": "string",
  "IsAutomaticStepUpdatesEnabled": true,
  "IsBuiltInWorkerEnabled": true,
  "IsCommunityActionTemplatesEnabled": true,
  "IsCompositeDockerHubRegistryFeedEnabled": true,
  "IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
  "IsExperimentalUIFeatureEnabled": true,
  "IsGitHubAppEnabled": true,
  "IsHelpSidebarEnabled": true,
  "IsKubernetesCloudTargetDiscoveryEnabled": true,
  "IsProjectsPageOnboardingEnabled": true,
  "IsProjectsPageOptimizationEnabled": true,
  "IsWebhookTriggerEnabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Update features configuration

PUT /api/featuresconfiguration

Updates the features configuration of the current instance

Request Body

  • DefaultPowerShellEdition string
    Default PowerShell edition for deployments and runbooks.
  • HelpSidebarSupportLink string
    Enable help sidebar support link feature.
  • HelpSidebarSupportLinkLabel string
    Custom label for the help sidebar support link.
  • Id string
    The id of features configuration resource.
  • IsAutomaticStepUpdatesEnabled boolean
    Enable automatic step updates feature.
  • IsBuiltInWorkerEnabled boolean
    Enable built-in worker feature.
  • IsCommunityActionTemplatesEnabled boolean
    Enable community action templates feature.
  • IsCompositeDockerHubRegistryFeedEnabled boolean
    Enable composite DockerHub registry feed feature.
  • IsConfigureFeedsWithLocalOrSmbPathsEnabled boolean
    Enable local or SMB paths for feeds feature.
  • IsExperimentalUIFeatureEnabled boolean
    Enable experimental UI feature.
  • IsGitHubAppEnabled boolean
    Enable the Octopus Deploy GitHub App.
  • IsHelpSidebarEnabled boolean
    Enable help sidebar feature.
  • IsKubernetesCloudTargetDiscoveryEnabled boolean
    Enable Kubernetes cloud target discovery feature.
  • IsNavigationVisualUpliftEnabled boolean
    Enable navigation visual uplift feature.
  • IsProjectsPageOnboardingEnabled boolean
    Enable projects page onboarding experience.
  • IsProjectsPageOptimizationEnabled boolean
    Enable new project page bff datasource.
  • IsWebhookTriggerEnabled boolean
    Enable the webhook triggers feature.

Response

200 — Confirmation that features configuration has been updated, containing the new configuration

  • DefaultPowerShellEdition string
  • HelpSidebarSupportLink string
  • HelpSidebarSupportLinkLabel string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsAutomaticStepUpdatesEnabled boolean
  • IsBuiltInWorkerEnabled boolean
  • IsCommunityActionTemplatesEnabled boolean
  • IsCompositeDockerHubRegistryFeedEnabled boolean
  • IsConfigureFeedsWithLocalOrSmbPathsEnabled boolean
  • IsExperimentalUIFeatureEnabled boolean
  • IsGitHubAppEnabled boolean
  • IsHelpSidebarEnabled boolean
  • IsKubernetesCloudTargetDiscoveryEnabled boolean
  • IsProjectsPageOnboardingEnabled boolean
  • IsProjectsPageOptimizationEnabled boolean
  • IsWebhookTriggerEnabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Request

JSON
{
  "DefaultPowerShellEdition": "string",
  "HelpSidebarSupportLink": "string",
  "HelpSidebarSupportLinkLabel": "string",
  "Id": "string",
  "IsAutomaticStepUpdatesEnabled": true,
  "IsBuiltInWorkerEnabled": true,
  "IsCommunityActionTemplatesEnabled": true,
  "IsCompositeDockerHubRegistryFeedEnabled": true,
  "IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
  "IsExperimentalUIFeatureEnabled": true,
  "IsGitHubAppEnabled": true,
  "IsHelpSidebarEnabled": true,
  "IsKubernetesCloudTargetDiscoveryEnabled": true,
  "IsNavigationVisualUpliftEnabled": true,
  "IsProjectsPageOnboardingEnabled": true,
  "IsProjectsPageOptimizationEnabled": true,
  "IsWebhookTriggerEnabled": true
}

Example Response

JSON
{
  "DefaultPowerShellEdition": "string",
  "HelpSidebarSupportLink": "string",
  "HelpSidebarSupportLinkLabel": "string",
  "Id": "string",
  "IsAutomaticStepUpdatesEnabled": true,
  "IsBuiltInWorkerEnabled": true,
  "IsCommunityActionTemplatesEnabled": true,
  "IsCompositeDockerHubRegistryFeedEnabled": true,
  "IsConfigureFeedsWithLocalOrSmbPathsEnabled": true,
  "IsExperimentalUIFeatureEnabled": true,
  "IsGitHubAppEnabled": true,
  "IsHelpSidebarEnabled": true,
  "IsKubernetesCloudTargetDiscoveryEnabled": true,
  "IsProjectsPageOnboardingEnabled": true,
  "IsProjectsPageOptimizationEnabled": true,
  "IsWebhookTriggerEnabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}